curl -X GET "https://api.foxreach.io/api/v1/inbox/threads/rpl_abc123/conversation" \
-H "X-API-Key: otr_your_key"
{
"data": {
"messages": [
{
"id": "eml_001",
"direction": "sent",
"fromEmail": "[email protected]",
"toEmail": "[email protected]",
"subject": "Quick question about your product",
"body": "Hi John, I noticed Acme recently expanded...",
"category": null,
"timestamp": "2025-01-18T09:00:00"
},
{
"id": "rpl_abc123",
"direction": "received",
"fromEmail": "[email protected]",
"toEmail": "[email protected]",
"subject": "Re: Quick question about your product",
"body": "Hi, thanks for reaching out! I'd love to learn more about your solution.",
"category": "interested",
"timestamp": "2025-01-20T14:30:00"
}
],
"lead": {
"id": "cld_xyz789",
"email": "[email protected]",
"firstName": "John",
"lastName": "Doe",
"company": "Acme Inc"
},
"campaign": {
"id": "cmp_def456",
"name": "Q1 Outreach"
}
}
}
Inbox
Get Conversation
Retrieve the full conversation thread including all sent and received messages.
GET
/
api
/
v1
/
inbox
/
threads
/
{reply_id}
/
conversation
curl -X GET "https://api.foxreach.io/api/v1/inbox/threads/rpl_abc123/conversation" \
-H "X-API-Key: otr_your_key"
{
"data": {
"messages": [
{
"id": "eml_001",
"direction": "sent",
"fromEmail": "[email protected]",
"toEmail": "[email protected]",
"subject": "Quick question about your product",
"body": "Hi John, I noticed Acme recently expanded...",
"category": null,
"timestamp": "2025-01-18T09:00:00"
},
{
"id": "rpl_abc123",
"direction": "received",
"fromEmail": "[email protected]",
"toEmail": "[email protected]",
"subject": "Re: Quick question about your product",
"body": "Hi, thanks for reaching out! I'd love to learn more about your solution.",
"category": "interested",
"timestamp": "2025-01-20T14:30:00"
}
],
"lead": {
"id": "cld_xyz789",
"email": "[email protected]",
"firstName": "John",
"lastName": "Doe",
"company": "Acme Inc"
},
"campaign": {
"id": "cmp_def456",
"name": "Q1 Outreach"
}
}
}
Path Parameters
The unique identifier of the reply thread.
Response
Conversation object.
Show Conversation
Show Conversation
Chronological list of messages in the thread.
curl -X GET "https://api.foxreach.io/api/v1/inbox/threads/rpl_abc123/conversation" \
-H "X-API-Key: otr_your_key"
{
"data": {
"messages": [
{
"id": "eml_001",
"direction": "sent",
"fromEmail": "[email protected]",
"toEmail": "[email protected]",
"subject": "Quick question about your product",
"body": "Hi John, I noticed Acme recently expanded...",
"category": null,
"timestamp": "2025-01-18T09:00:00"
},
{
"id": "rpl_abc123",
"direction": "received",
"fromEmail": "[email protected]",
"toEmail": "[email protected]",
"subject": "Re: Quick question about your product",
"body": "Hi, thanks for reaching out! I'd love to learn more about your solution.",
"category": "interested",
"timestamp": "2025-01-20T14:30:00"
}
],
"lead": {
"id": "cld_xyz789",
"email": "[email protected]",
"firstName": "John",
"lastName": "Doe",
"company": "Acme Inc"
},
"campaign": {
"id": "cmp_def456",
"name": "Q1 Outreach"
}
}
}
Errors
| Status | Description |
|---|---|
404 | Thread not found |
Rate Limit
- 100 requests per minute, per API key. Fixed 60-second window.
- Every response includes
X-RateLimit-Limit,X-RateLimit-Remaining, andX-RateLimit-Reset(unix epoch seconds). - A
429response includes aRetry-Afterheader (seconds until the bucket resets).
Retry-After, exponential backoff, monitoring X-RateLimit-Remaining), see Rate Limiting.⌘I